#### PHCMembers Documentation  
Ruby on Rails 7 engine to manage member information and business directory listings.
  
- Fast setup of membership management and web directory modules.
- Directory and listings manager with a web directory API.
- Member's list, contact information, and listings manager.
- Easy app integration with views that can be customized.
- This version has multi-tenancy capabilities.
  
#### Step 1 - Add PHCMembers to your gemfile and run the install command
  
	gem 'phcmemberspro'
	bundle install
  
#### Step 2 - Add [PHCDevworks Accounts Devise](https://github.com/phcdevworks/phcdevworks_accounts_devise) to your gemfile
This plugin is optimized for PHCDevworks Accounts which uses Devise.
  
	gem 'phcdevworks_accounts_devise'
	bundle install
    
#### Step 3 - Mount PHCMembers & Add Routes
Mount PHCMembers by adding code below to your routes file.
  
	mount PhcdevworksAccountsDevise::Engine, :at => '/'
	mount Phcmemberspro::Engine, :at => '/'
  
#### Step 4 - Copy All Required Database Tables
To copy PHCMembers and PHCDevworks Accounts Devise database migrations.
  
	rails railties:install:migrations
  
#### Step 5 - Recompile Assets
To ensure proper function re-compile your application's assets.
  
	rails assets:clobber && rails assets:precompile
  